
type plant = {
    id: symbol;
    name: string;
    latinName: string;
    description: string;
    origin: string;
    growingTips: string;
    plantWeekStart: number;
    plantWeekEnd: number;
    harvestWeekStart: number;
    harvestWeekEnd: number;
    groundType: GroundType;
    nutrientDemand: NutrientDemand;
    waterDemand: WaterDemand;
    lightingDemand: LightingDemand;
    imageUrl: string;
  };

  type propsDropDownFilter = {
    options: Array<string>;
    topic: string;
  };

  
type propsSliderFilter = {
    topic: string;
    min: number;
    max: number;
  };

type searchRequest= {
    searchTerm: string,
    waterDemand: WaterDemand,
    nutrientDemand: NutrientDemand,
    groundType: GroundType,
    lightingDemand: LightingDemand,
    plantWeekStart: string,
    plantWeekEnd: string,
    growthDurationMin: number,
    growthDurationMax: number
  }